public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: do not call epelyum when yum is missing
@ 2026-09-11 13:20 Milos Malik
  0 siblings, 0 replies; only message in thread
From: Milos Malik @ 2026-09-11 13:20 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : f52d187782c5466b8f312886fd39349e216d9dd0
            Author : Milos Malik <mmalik@redhat.com>
            Date   : 2023-07-24T16:04:07+00:00
            Stats  : +3/-4 in 2 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/f52d187782c5466b8f312886fd39349e216d9dd0?branch=pr775-checkpolicy-revdeps

            Log:
            do not call epelyum when yum is missing

There are environments where yum is not present. The epelyum function
is based on the yum command and if the yum command is not present,
it makes no sense to call the epelyum function.

---
diff --git a/selinux-policy/Library/common/lib.sh b/selinux-policy/Library/common/lib.sh
index 683ecc7..48bde49 100755
--- a/selinux-policy/Library/common/lib.sh
+++ b/selinux-policy/Library/common/lib.sh
@@ -1549,9 +1549,9 @@ function rlSESatisfyRequires() {
         return
     fi
 
-    which dnf yum >& /dev/null
-    if [ $? -eq 2 ] ; then
-        rlLog "Neither dnf nor yum is present. Don't know how to install required packages."
+    which yum >& /dev/null
+    if [ $? -ne 0 ] ; then
+        rlLog "The yum is not present. Don't know how to install required packages."
         return
     fi
 

diff --git a/selinux-policy/getrlimit-permission/main.fmf b/selinux-policy/getrlimit-permission/main.fmf
index b092bb7..a21832a 100644
--- a/selinux-policy/getrlimit-permission/main.fmf
+++ b/selinux-policy/getrlimit-permission/main.fmf
@@ -25,7 +25,6 @@ tag:
   - NoRHEL4
   - NoRHEL5
   - NoRHEL6
-  - TIPfail_Security
   - Tier1
   - Tier1se
   - f33friendly

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:20 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:20 [tests/selinux] pr775-checkpolicy-revdeps: do not call epelyum when yum is missing Milos Malik

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox